
Foreman - Bug #12637

Improve DHCP lease unit test

11/30/2015 09:50 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Tests   

Target version: 1.11.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2941

  

Description

The issue is that the patch from referenced issue allowed multiple leases on

same MAC address. This is what happens when initramdisk intializes network,

acquires one IP, then booted linux acquires another one (on the same

interface). We were testing two different MAC addresses, which is indeed green

too.

Related issues:

Related to Foreman - Bug #8727: Discovered hosts with same MAC address are re... Closed 12/16/2014

Associated revisions

Revision 8fcf54ac - 12/01/2015 02:49 AM - Lukas Zapletal

Fixes #12637 - improved discovered lease test

History

#1 - 11/30/2015 09:51 AM - Lukas Zapletal

- Related to Bug #8727: Discovered hosts with same MAC address are reported as DHCP conflicts added

#2 - 11/30/2015 10:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#3 - 12/01/2015 02:53 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#4 - 12/01/2015 03:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8fcf54ac284c27113f32f7c5fd582c23b78ff298.
